Missing the i18n 0.4.2 gem. Please `gem install -v=0.4.2 i18n`
Status: Closed Start date: 2011-03-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I am using the latest stable branch of redmine.

Everytime i start the server i get the following error

Missing the i18n 0.4.2 gem. Please `gem install -v=0.4.2 i18n`

 My Environment

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /home/artminis/rails_apps/red

Environment               production

Database adapter          mysql

Database schema version   20110228000100

History

#1 - 2011-03-06 16:21 - Vinay m

This is the complete error.

** Daemonized, any open files are closed.  Look at log/mongrel.pid and log/mongrel.log for info.

** Starting Mongrel listening at 0.0.0.0:12006

** Starting Rails with production environment...

Missing the i18n 0.4.2 gem. Please `gem install -v=0.4.2 i18n`

#2 - 2011-03-06 17:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

As the message suggests, you just need to install the i18n 0.4.2 gem.

#3 - 2011-03-06 17:15 - Vinay m

- Status changed from Closed to Reopened

I have the gem installed. Thats why i am kinda confused

#4 - 2011-03-06 23:33 - Toshi MARUYAMA

- Status changed from Reopened to Closed

You need to run "gem install -v=0.4.2 i18n".
#5 - 2011-03-23 12:54 - Pieter Joost van de Sande

- Status changed from Closed to Reopened

I'm having the same issue while having i18n version 0.4.2 installed.

#6 - 2011-03-23 12:58 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Run "gem list".

# gem list

*** LOCAL GEMS ***

actionmailer (2.3.11, 2.3.5)

actionpack (2.3.11, 2.3.5)

activerecord (2.3.11, 2.3.5)

activeresource (2.3.11, 2.3.5)

activesupport (2.3.11, 2.3.5)

edavis10-object_daddy (0.4.3)

fastthread (1.0.7)

i18n (0.4.2)

mocha (0.9.8)

nofxx-object_daddy (0.4.1)

passenger (2.2.11)

rack (1.1.0, 1.0.1)

rails (2.3.11, 2.3.5)

rake (0.8.7)

shoulda (2.10.3)

sqlite3-ruby (1.2.4)

thoughtbot-shoulda (2.10.2)

#7 - 2011-03-23 15:00 - Pieter Joost van de Sande

- Status changed from Closed to Reopened

LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.5, 2.3.5, 1.3.6)

actionpack (3.0.5, 2.3.5, 1.13.6)

actionwebservice (1.2.6)

activemodel (3.0.5)

activerecord (3.0.5, 2.3.5, 1.15.6)

activeresource (3.0.5, 2.3.5)

activesupport (3.0.5, 3.0.0, 2.3.5, 1.4.4)

acts_as_ferret (0.5.2, 0.4.3)

arel (2.0.9)

builder (3.0.0, 2.1.2)

bundler (1.0.10)

capistrano (2.5.20, 2.5.2)

cgi_multipart_eof_fix (2.5.0)

configuration (1.2.0)

daemons (1.1.0, 1.0.10)

dnssd (2.0, 0.6.0)

erubis (2.6.6)

fastthread (1.0.7, 1.0.1)

fcgi (0.8.8, 0.8.7)

ferret (0.11.6)

gem_plugin (0.2.3)

heroku (1.18.3)

highline (1.6.1, 1.5.0)

hpricot (0.8.4, 0.6.164)

i18n (0.4.2)

jk-ferret (0.11.8.3)

launchy (0.4.0, 0.3.7)

libxml-ruby (1.1.4, 1.1.2)

mail (2.2.15)

mime-types (1.16)

mongrel (1.1.5)

2025-05-01 2/4



needle (1.3.0)

net-scp (1.0.4, 1.0.1)

net-sftp (2.0.5, 2.0.1, 1.1.1)

net-ssh (2.1.3, 2.0.4, 1.1.4)

net-ssh-gateway (1.0.1, 1.0.0)

polyglot (0.3.1)

rack (1.2.2, 1.0.1)

rack-mount (0.6.13)

rack-test (0.5.7)

rails (3.0.5, 2.3.5, 1.2.6)

railties (3.0.5)

rake (0.8.7, 0.8.3)

RedCloth (4.2.7, 4.1.1)

rest-client (1.6.1)

ruby-openid (2.1.8, 2.1.2)

ruby-yadis (0.3.4)

rubygems-update (1.6.2)

rubynode (0.1.5)

sqlite3 (1.3.3)

sqlite3-ruby (1.3.3, 1.2.4)

termios (0.9.4)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.25)

xmpp4r (0.5, 0.4)

#8 - 2011-03-25 20:16 - Jeferson Siegmund

I'm having the same problem, with the 1.1.2 version.

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

i18n (0.4.2)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

rubytree (0.8.1)

#9 - 2011-03-25 20:48 - Jean-Philippe Lang

Make sure i18n is installed in the gems set actually used by your Redmine instance.

#10 - 2011-03-25 20:51 - Jeferson Siegmund

Jean-Philippe Lang wrote:

Make sure i18n is installed in the gems set actually used by your Redmine instance.

 Sorry, but how or where can I confirm it?

#11 - 2011-04-06 12:05 - Geoff McIlraith

Warning, I am a NOOB, but thought this might help someone...can't hurt right?

I had similar issue upgrading Redmine on HostGator.  Even though I only had i18n 0.4.2 installed, it wouldn't load with the 1.1.2 boot.rb patch in

place.  As a last resort, I hacked rails to load the newer i18n gem.

To do this, I did the following:

1.  Remove the well commented patch from the bottom of redmine-1.1.2/config/boot.rb

2.  Delete the folder Redmine-1.1.2\vendor\rails\activesupport\lib\active_support\vendor\i18n-0.1.3

3.  Copy the i18n-0.4.2 from my gems path to Redmine-1.1.2\vendor\rails\activesupport\lib\active_support\vendor\i18n-0.4.2

4.  Change the i18n loading section in file: /rails_apps/redmine1.1.2/vendor/rails/activesupport/lib/active_support/vendor.rb

to read:

begin

  gem 'i18n', '>= 0.3.0'
rescue Gem::LoadError

  $:.unshift "#{File.dirname(__FILE__)}/vendor/i18n-0.4.2/lib" 

end

require 'i18n'

 Like I said, it was a hack that work for me after hours of trying unsuccessfully to get i18n v0.4.2 to be the only game in town.  Hopefully it will help

someone else who, like me, didn't notice the issue until the site was in production, and needed a quick fix.

PS: I'd like to know the answer to note #10 too please.

#12 - 2011-04-13 15:06 - Lluís Gili

Removing the rescue code you can see the real problem:

*** Exception Gem::LoadError in PhusionPassenger::Railz::FrameworkSpawner (can't activate i18n (= 0.4.2, runti

me) for [], already activated i18n-0.5.0 for [])

 seems i18n 0.5.0 is loaded before 0.4.2, but what can be loading it? passenger?

I am running Redmine under apache + passenger and this not happens on mongrel (script/server)

#13 - 2011-05-19 01:11 - Cassiano Monteiro

+1!

I'm having exactly the same problem. Trying to install Redmine 1.1.3 on Redhat.

#14 - 2011-05-19 02:44 - Toshi MARUYAMA

- Resolution deleted (Invalid)

In Japanese Redmine Google group, there is a post that /usr/bin/rake version is too old.

http://groups.google.com/group/redmine-users-ja/browse_thread/thread/9ce5d5410934edc3

#15 - 2011-05-19 11:02 - Lluís Gili

as a workaround we changed this on config/boot.rb:

-  gem 'i18n', '0.4.2'

+  gem 'i18n'#, '0.4.2'

 whith this I guess Redmine is using latest i18n gem (0.5.0), but it's working without trouble

#16 - 2011-05-24 14:12 - Lluís Gili

may be related with this bundler issue ?

#17 - 2011-05-24 14:58 - Etienne Massip

- Category set to Gems support

Redmine does not use Bundler as for now.

#18 - 2011-10-06 11:24 - Simon Williams

Jean-Philippe Lang wrote:

Make sure i18n is installed in the gems set actually used by your Redmine instance.

 How do we check this please?

#19 - 2011-10-28 17:13 - Barry Krein

This worked for me, found it through google-fu

sudo chmod -R a+rX /usr/lib/ruby

#20 - 2015-04-06 15:49 - Go MAEDA

- Status changed from Reopened to Closed

I close this issue because it probably can be resolved by using latest Redmine.

Gem dependencies is managed by Bundler from Redmine 1.4.
